



#  Summary


 * Rust is a strongly typed programming language that compiles to machine code.
 
 * Rust manages memory automatically but without garbage collector.
 
 * Rust enforces memory safety at _compile time_
   via Ownership and Borrowing rules
   thus preventing common error types:
   
   * Dereferencing of Null pointers
   * Dangling pointers
   * Data races

 * Rust provides high-level abstractions at zero cost.

 * Rust helps to write fast and correct concurrent code.
