



#  What we did not talk about

 
 * Managing projects with packages, crates, modules

 * Error handling with the `Result<T, E>` type instead of `.unwrap()`
 
 * Lifetimes of `&T` when returned from functions
 
 * Trait objects and dynamic dispatch
  
 * Metaprogramming with procedural macros
 
 * Unsafe Rust

 * Interoperability with other languages
 

# Interesting crates from crates.io

 * `num`		numeric types and traits
 * `rand`    	random number generation
 * `serde`		serialization/deserialization
 * `itertools`	more powerful iterators
 * `ndarray`	multi-dimensional arrays (à la NumPy)
 * `crossbeam`	tools for concurrent programming
 * `rayon`		easy concurrency for data parallelism
 * `mpi`		Message Passing Interface
