



#  Rust tooling

 * `rustup` the Rust toolchain manager
 * `rust-analyzer` the Rust language server for IDE integration
 
 * `rustc` the Rust compiler, built on top of LLVM
	    rustc version (1.73.0) and Rust Language Edition (2015, 2018, 2021)
 * `clippy` the Rust linter to catch common mistakes and enforce code style
 * `cargo` the Rust build system and package manager
  
 * minimal standard library
 * extensive community crate registry on crates.io


#  Rust on the SCC


		$ module load rust/1.65.0
		$ cargo new hello
		$ cd hello
		$ cargo run
		[...]
		Hello, world!

