



#  Ownership rules
  
 * Each value in Rust is owned by a variable.
 
 * There can only be one owner at a time.
 
 * When the owner goes out of scope, the value will be dropped.


#  Borrowing rules

 * At any given time, you can have _either_ one mutable reference
   XOR any number of immutable references.

 * References must always be valid.
 
 
#  Safety guarantees

 * No null pointers, dangling pointers, or data races.

